PDA

View Full Version : Windows Update Bug: .NET Framework 1.1 SP1



Rincewind
30-11-2007, 04:05 PM
If like me you have been getting update from Windows about a .NET Framework 1.1 SP1 but when you try to install it if fails, then a minute later getting informed about the same update, there is a possible solution.

Go to http://www.microsoft.com/downloads/details.aspx?FamilyID=a8f5654f-088e-40b2-bbdb-a83353618b38&DisplayLang=en

Download the installer and install .NET Framework 1.1 SP1.

Next time you run the automatic update it should work.


Worked for me (on XP), hope it helps you...

Spiny Norman
30-11-2007, 04:24 PM
I struck something similar to this on a Windows 2000 Server SP4 last weekend ... managed to fix it after a couple of aborted attempts ... it turned out that the disk was going full, and Windows Update (in IE7) was not reporting that, just failing. Downloading the whole box-n-dice and running it stand-alone showed up the problem, which was then easy enough to fix.

Miguel
30-11-2007, 05:07 PM
If like me you have been getting update from Windows about a .NET Framework 1.1 SP1 but when you try to install it if fails, then a minute later getting informed about the same update, there is a possible solution.
This was happening to me too, so I updated to .NET Framework 3.0, but the problem was still there, so I chose Advanced Install (?), unchecked the update, and told Windows not to remind me again.

Rincewind
30-11-2007, 05:44 PM
This was happening to me too, so I updated to .NET Framework 3.0, but the problem was still there, so I chose Advanced Install (?), unchecked the update, and told Windows not to remind me again.

According to Add/Remove programs I have 1.1, 2.0 and 3.0 all installed on my computer.

Miguel
30-11-2007, 05:53 PM
According to Add/Remove programs I have 1.1, 2.0 and 3.0 all installed on my computer.
I would have thought 3.0 superceded 1.1 :hmm:

Rincewind
30-11-2007, 05:55 PM
I would have thought 3.0 superceded 1.1 :hmm:

That might be the case but I can envisage cases where this is not true. As this is called the "framework" I suspect this could be one of those cases. ;)

eclectic
30-11-2007, 10:17 PM
i have .net framework

1.1
1.1 hotfix kb928236
2.0
2.0 security update kb928365
3.0
3.0 hotfix kb932471

for xp professional

ElevatorEscapee
30-11-2007, 11:25 PM
Come off it Eccy! We all know that you only have a Commodore 64! ;)

Spiny Norman
01-12-2007, 06:52 AM
Some applications use one version of the .NET Framework and some use another. The framework is not like, say, a Service Pack, where SP2 contains all of SP1 plus some new stuff. I think they really changed a bunch of stuff around ... so as each new version of the framework exists, they have to keep the old versions installed as well.